%define name Xclasses
%define version	1.3.0
%define release	1mdk

%define major 0
%define libname lib%name%major

Summary: The Xclasses Library
Name: %name
Version: %version
Release: %release
License: LGPL
Group: System/XFree86
Source:  %name-public-%version.src.tar.bz2
Patch: Xclasses.config-patch.bz2
Patch1: Xclasses-strcmpneeded.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Obsoletes: Xclasses
URL: http://www.fsai.fh-trier.de/~schmitzj/Xclasses/
Docdir: %{_docdir}

%description
Xclasses is a C++ layout library for the X Window System.

%package -n %libname
Summary: The Xclasses Library
License: LGPL
Group: System/XFree86

%description -n %libname
Xclasses is a C++ layout library for the X Window System.

%package -n %libname-devel
Summary: The Xclasses Development package
Group: System/XFree86
Requires: %libname = %{version}
Provides: libXclasses-devel

%description -n %libname-devel
Static libraries and header files for the Xclasses library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n xclasses
%patch -p2
%patch1 -p1

%build
./build make

%install
rm -fr $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_prefix}
mkdir $RPM_BUILD_ROOT%{_libdir}
mkdir $RPM_BUILD_ROOT%{_includedir}
mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir $RPM_BUILD_ROOT%{_libdir}/X11

make LIBSDIR=$RPM_BUILD_ROOT%{_libdir} INCLUDESDIR=$RPM_BUILD_ROOT%{_includedir} CONFIGSDIR=$RPM_BUILD_ROOT%{_libdir}/X11/Xclasses install
cp -f ./setenvxc $RPM_BUILD_ROOT%{_bindir}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/setenvxc

%clean 
rm -fr $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/X11/Xclasses/Xclasses
%{_bindir}/setenvxc
%defattr(0644, root, root, 755)
%doc COPYING.LIB README

%files -n %libname-devel
%defattr(-, root, root)
%{_libdir}/libXclasses.a
%{_libdir}/libXclasses.so
%{_includedir}/Xclasses

%Changelog
* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0
- simplify spec.

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- rebuild

* Mon Jan 29 2001  Daouda Lo <daouda@mandrakesoft.com> 1.1.0-1mdk
- new release (Happy Lenny ?)
- BM
- string.h include file patch .

*Tue Sep 07 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
